
Smart Proxy - Refactor #20843

Pin public_suffix on Ruby 2.0

09/04/2017 01:41 PM - Ewoud Kohl van Wijngaarden

Status: Closed   

Priority: Normal   

Assignee: Ewoud Kohl van Wijngaarden   

Category:    

Target version: 1.15.4   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/smart-pro

xy/pull/540,

https://github.com/theforeman/smart-pro

xy/pull/542

  

Description

The newest version requires Ruby 2.1 so we need to pin.

Associated revisions

Revision 9607c50d - 09/05/2017 02:59 PM - Ewoud Kohl van Wijngaarden 

Fixes #20843 - Pin public_suffix on RUBY_VERSION 2.0

Revision 9576bf84 - 09/08/2017 11:51 AM - Michael Moll 

Refs #20843 - Put public_suffix only in test

public_suffix is only a dependency for webmock

History

#1 - 09/04/2017 01:42 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Ewoud Kohl van Wijngaarden

- Pull request https://github.com/theforeman/smart-proxy/pull/540 added

#2 - 09/05/2017 03:01 PM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 9607c50d128b69a6dea365d2fed260d6bdc35b04.

#3 - 09/08/2017 06:03 AM - The Foreman Bot

- Pull request https://github.com/theforeman/smart-proxy/pull/542 added

#4 - 09/13/2017 05:10 AM - Daniel Lobato Garcia

- translation missing: en.field_release set to 287
